AIAutomations
Creates an AI automation
Requires OAuth scope ai.automations:write. Read-only attributes are ignored on write.
POST
/
v1
/
ai
/
automations
Creates an AI automation
curl --request POST \
--url https://api.rootly.com/v1/ai/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "ai_automations",
"attributes": {
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"triggers": [
{
"id": "<string>",
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"schedule_hour": 11,
"cooldown_seconds": 302400,
"next_run_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_secret_configured": true,
"webhook_secret_rotated_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"field": "<string>",
"operator": "<string>",
"field_type": "<string>",
"key": "<string>",
"values": [
"<string>"
],
"value": "<string>"
}
]
}
],
"destination_slack_target": "channel",
"destination_slack_channel_id": "<string>",
"skill_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"allowed_tool_keys": [
"<string>"
],
"limits_enabled": true,
"max_credits_per_run": 500,
"rate_limit_runs": 720,
"owner_user_id": 123
}
}
}
'import requests
url = "https://api.rootly.com/v1/ai/automations"
payload = { "data": {
"type": "ai_automations",
"attributes": {
"name": "<string>",
"prompt": "<string>",
"enabled": True,
"triggers": [
{
"id": "<string>",
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"schedule_hour": 11,
"cooldown_seconds": 302400,
"next_run_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_secret_configured": True,
"webhook_secret_rotated_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"field": "<string>",
"operator": "<string>",
"field_type": "<string>",
"key": "<string>",
"values": ["<string>"],
"value": "<string>"
}
]
}
],
"destination_slack_target": "channel",
"destination_slack_channel_id": "<string>",
"skill_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"allowed_tool_keys": ["<string>"],
"limits_enabled": True,
"max_credits_per_run": 500,
"rate_limit_runs": 720,
"owner_user_id": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'ai_automations',
attributes: {
name: '<string>',
prompt: '<string>',
enabled: true,
triggers: [
{
id: '<string>',
schedule_rrule: '<string>',
schedule_timezone: '<string>',
schedule_hour: 11,
cooldown_seconds: 302400,
next_run_at: '2023-11-07T05:31:56Z',
webhook_url: '<string>',
webhook_secret_configured: true,
webhook_secret_rotated_at: '2023-11-07T05:31:56Z',
conditions: [
{
field: '<string>',
operator: '<string>',
field_type: '<string>',
key: '<string>',
values: ['<string>'],
value: '<string>'
}
]
}
],
destination_slack_target: 'channel',
destination_slack_channel_id: '<string>',
skill_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
allowed_tool_keys: ['<string>'],
limits_enabled: true,
max_credits_per_run: 500,
rate_limit_runs: 720,
owner_user_id: 123
}
}
})
};
fetch('https://api.rootly.com/v1/ai/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'ai_automations',
'attributes' => [
'name' => '<string>',
'prompt' => '<string>',
'enabled' => true,
'triggers' => [
[
'id' => '<string>',
'schedule_rrule' => '<string>',
'schedule_timezone' => '<string>',
'schedule_hour' => 11,
'cooldown_seconds' => 302400,
'next_run_at' => '2023-11-07T05:31:56Z',
'webhook_url' => '<string>',
'webhook_secret_configured' => true,
'webhook_secret_rotated_at' => '2023-11-07T05:31:56Z',
'conditions' => [
[
'field' => '<string>',
'operator' => '<string>',
'field_type' => '<string>',
'key' => '<string>',
'values' => [
'<string>'
],
'value' => '<string>'
]
]
]
],
'destination_slack_target' => 'channel',
'destination_slack_channel_id' => '<string>',
'skill_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'allowed_tool_keys' => [
'<string>'
],
'limits_enabled' => true,
'max_credits_per_run' => 500,
'rate_limit_runs' => 720,
'owner_user_id' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai/automations"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"ai_automations\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"schedule_rrule\": \"<string>\",\n \"schedule_timezone\": \"<string>\",\n \"schedule_hour\": 11,\n \"cooldown_seconds\": 302400,\n \"next_run_at\": \"2023-11-07T05:31:56Z\",\n \"webhook_url\": \"<string>\",\n \"webhook_secret_configured\": true,\n \"webhook_secret_rotated_at\": \"2023-11-07T05:31:56Z\",\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"field_type\": \"<string>\",\n \"key\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"destination_slack_target\": \"channel\",\n \"destination_slack_channel_id\": \"<string>\",\n \"skill_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"allowed_tool_keys\": [\n \"<string>\"\n ],\n \"limits_enabled\": true,\n \"max_credits_per_run\": 500,\n \"rate_limit_runs\": 720,\n \"owner_user_id\": 123\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rootly.com/v1/ai/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"ai_automations\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"schedule_rrule\": \"<string>\",\n \"schedule_timezone\": \"<string>\",\n \"schedule_hour\": 11,\n \"cooldown_seconds\": 302400,\n \"next_run_at\": \"2023-11-07T05:31:56Z\",\n \"webhook_url\": \"<string>\",\n \"webhook_secret_configured\": true,\n \"webhook_secret_rotated_at\": \"2023-11-07T05:31:56Z\",\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"field_type\": \"<string>\",\n \"key\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"destination_slack_target\": \"channel\",\n \"destination_slack_channel_id\": \"<string>\",\n \"skill_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"allowed_tool_keys\": [\n \"<string>\"\n ],\n \"limits_enabled\": true,\n \"max_credits_per_run\": 500,\n \"rate_limit_runs\": 720,\n \"owner_user_id\": 123\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"ai_automations\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"schedule_rrule\": \"<string>\",\n \"schedule_timezone\": \"<string>\",\n \"schedule_hour\": 11,\n \"cooldown_seconds\": 302400,\n \"next_run_at\": \"2023-11-07T05:31:56Z\",\n \"webhook_url\": \"<string>\",\n \"webhook_secret_configured\": true,\n \"webhook_secret_rotated_at\": \"2023-11-07T05:31:56Z\",\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"field_type\": \"<string>\",\n \"key\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"destination_slack_target\": \"channel\",\n \"destination_slack_channel_id\": \"<string>\",\n \"skill_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"allowed_tool_keys\": [\n \"<string>\"\n ],\n \"limits_enabled\": true,\n \"max_credits_per_run\": 500,\n \"rate_limit_runs\": 720,\n \"owner_user_id\": 123\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ai_automations",
"attributes": {
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"trigger_kind": "schedule",
"schedule": {
"frequency": "hourly",
"hour": 11,
"weekday": "MO"
},
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"event_name": "incident.created",
"conditions": {
"any": [
{
"all": [
{
"field": "status",
"operator": "eq",
"value": "started"
}
]
}
]
},
"triggers": [
{
"id": "<string>",
"source": "schedule",
"event_name": "incident.created",
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"cooldown_seconds": 123,
"conditions": [
{
"field": "<string>",
"field_type": "<string>",
"operator": "<string>",
"values": [
"<string>"
],
"key": "<string>"
}
],
"webhook_url": "<string>",
"webhook_secret_configured": true,
"webhook_secret_rotated_at": "2023-11-07T05:31:56Z"
}
],
"destination_kind": "slack_channel",
"destination_slack_target": "channel",
"destination_slack_channel_id": "<string>",
"destination_slack_channel_name": "<string>",
"skill_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"allowed_tool_keys": [
"<string>"
],
"limits_enabled": true,
"max_credits_per_run": 123,
"rate_limit_runs": 123,
"rate_limit_window": "1_hour",
"owner_user_id": 123,
"disabled_reason": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"consecutive_failures_count": 123,
"created_by_user_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Was this page helpful?
⌘I
Creates an AI automation
curl --request POST \
--url https://api.rootly.com/v1/ai/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "ai_automations",
"attributes": {
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"triggers": [
{
"id": "<string>",
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"schedule_hour": 11,
"cooldown_seconds": 302400,
"next_run_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_secret_configured": true,
"webhook_secret_rotated_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"field": "<string>",
"operator": "<string>",
"field_type": "<string>",
"key": "<string>",
"values": [
"<string>"
],
"value": "<string>"
}
]
}
],
"destination_slack_target": "channel",
"destination_slack_channel_id": "<string>",
"skill_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"allowed_tool_keys": [
"<string>"
],
"limits_enabled": true,
"max_credits_per_run": 500,
"rate_limit_runs": 720,
"owner_user_id": 123
}
}
}
'import requests
url = "https://api.rootly.com/v1/ai/automations"
payload = { "data": {
"type": "ai_automations",
"attributes": {
"name": "<string>",
"prompt": "<string>",
"enabled": True,
"triggers": [
{
"id": "<string>",
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"schedule_hour": 11,
"cooldown_seconds": 302400,
"next_run_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_secret_configured": True,
"webhook_secret_rotated_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"field": "<string>",
"operator": "<string>",
"field_type": "<string>",
"key": "<string>",
"values": ["<string>"],
"value": "<string>"
}
]
}
],
"destination_slack_target": "channel",
"destination_slack_channel_id": "<string>",
"skill_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"allowed_tool_keys": ["<string>"],
"limits_enabled": True,
"max_credits_per_run": 500,
"rate_limit_runs": 720,
"owner_user_id": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'ai_automations',
attributes: {
name: '<string>',
prompt: '<string>',
enabled: true,
triggers: [
{
id: '<string>',
schedule_rrule: '<string>',
schedule_timezone: '<string>',
schedule_hour: 11,
cooldown_seconds: 302400,
next_run_at: '2023-11-07T05:31:56Z',
webhook_url: '<string>',
webhook_secret_configured: true,
webhook_secret_rotated_at: '2023-11-07T05:31:56Z',
conditions: [
{
field: '<string>',
operator: '<string>',
field_type: '<string>',
key: '<string>',
values: ['<string>'],
value: '<string>'
}
]
}
],
destination_slack_target: 'channel',
destination_slack_channel_id: '<string>',
skill_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
allowed_tool_keys: ['<string>'],
limits_enabled: true,
max_credits_per_run: 500,
rate_limit_runs: 720,
owner_user_id: 123
}
}
})
};
fetch('https://api.rootly.com/v1/ai/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'ai_automations',
'attributes' => [
'name' => '<string>',
'prompt' => '<string>',
'enabled' => true,
'triggers' => [
[
'id' => '<string>',
'schedule_rrule' => '<string>',
'schedule_timezone' => '<string>',
'schedule_hour' => 11,
'cooldown_seconds' => 302400,
'next_run_at' => '2023-11-07T05:31:56Z',
'webhook_url' => '<string>',
'webhook_secret_configured' => true,
'webhook_secret_rotated_at' => '2023-11-07T05:31:56Z',
'conditions' => [
[
'field' => '<string>',
'operator' => '<string>',
'field_type' => '<string>',
'key' => '<string>',
'values' => [
'<string>'
],
'value' => '<string>'
]
]
]
],
'destination_slack_target' => 'channel',
'destination_slack_channel_id' => '<string>',
'skill_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'allowed_tool_keys' => [
'<string>'
],
'limits_enabled' => true,
'max_credits_per_run' => 500,
'rate_limit_runs' => 720,
'owner_user_id' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai/automations"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"ai_automations\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"schedule_rrule\": \"<string>\",\n \"schedule_timezone\": \"<string>\",\n \"schedule_hour\": 11,\n \"cooldown_seconds\": 302400,\n \"next_run_at\": \"2023-11-07T05:31:56Z\",\n \"webhook_url\": \"<string>\",\n \"webhook_secret_configured\": true,\n \"webhook_secret_rotated_at\": \"2023-11-07T05:31:56Z\",\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"field_type\": \"<string>\",\n \"key\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"destination_slack_target\": \"channel\",\n \"destination_slack_channel_id\": \"<string>\",\n \"skill_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"allowed_tool_keys\": [\n \"<string>\"\n ],\n \"limits_enabled\": true,\n \"max_credits_per_run\": 500,\n \"rate_limit_runs\": 720,\n \"owner_user_id\": 123\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rootly.com/v1/ai/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"ai_automations\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"schedule_rrule\": \"<string>\",\n \"schedule_timezone\": \"<string>\",\n \"schedule_hour\": 11,\n \"cooldown_seconds\": 302400,\n \"next_run_at\": \"2023-11-07T05:31:56Z\",\n \"webhook_url\": \"<string>\",\n \"webhook_secret_configured\": true,\n \"webhook_secret_rotated_at\": \"2023-11-07T05:31:56Z\",\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"field_type\": \"<string>\",\n \"key\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"destination_slack_target\": \"channel\",\n \"destination_slack_channel_id\": \"<string>\",\n \"skill_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"allowed_tool_keys\": [\n \"<string>\"\n ],\n \"limits_enabled\": true,\n \"max_credits_per_run\": 500,\n \"rate_limit_runs\": 720,\n \"owner_user_id\": 123\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"ai_automations\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"enabled\": true,\n \"triggers\": [\n {\n \"id\": \"<string>\",\n \"schedule_rrule\": \"<string>\",\n \"schedule_timezone\": \"<string>\",\n \"schedule_hour\": 11,\n \"cooldown_seconds\": 302400,\n \"next_run_at\": \"2023-11-07T05:31:56Z\",\n \"webhook_url\": \"<string>\",\n \"webhook_secret_configured\": true,\n \"webhook_secret_rotated_at\": \"2023-11-07T05:31:56Z\",\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"field_type\": \"<string>\",\n \"key\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"destination_slack_target\": \"channel\",\n \"destination_slack_channel_id\": \"<string>\",\n \"skill_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"allowed_tool_keys\": [\n \"<string>\"\n ],\n \"limits_enabled\": true,\n \"max_credits_per_run\": 500,\n \"rate_limit_runs\": 720,\n \"owner_user_id\": 123\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ai_automations",
"attributes": {
"name": "<string>",
"prompt": "<string>",
"enabled": true,
"trigger_kind": "schedule",
"schedule": {
"frequency": "hourly",
"hour": 11,
"weekday": "MO"
},
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"event_name": "incident.created",
"conditions": {
"any": [
{
"all": [
{
"field": "status",
"operator": "eq",
"value": "started"
}
]
}
]
},
"triggers": [
{
"id": "<string>",
"source": "schedule",
"event_name": "incident.created",
"schedule_rrule": "<string>",
"schedule_timezone": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"cooldown_seconds": 123,
"conditions": [
{
"field": "<string>",
"field_type": "<string>",
"operator": "<string>",
"values": [
"<string>"
],
"key": "<string>"
}
],
"webhook_url": "<string>",
"webhook_secret_configured": true,
"webhook_secret_rotated_at": "2023-11-07T05:31:56Z"
}
],
"destination_kind": "slack_channel",
"destination_slack_target": "channel",
"destination_slack_channel_id": "<string>",
"destination_slack_channel_name": "<string>",
"skill_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"allowed_tool_keys": [
"<string>"
],
"limits_enabled": true,
"max_credits_per_run": 123,
"rate_limit_runs": 123,
"rate_limit_window": "1_hour",
"owner_user_id": 123,
"disabled_reason": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"consecutive_failures_count": 123,
"created_by_user_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}